# spec file for package cdctl (version 0.15)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:	Controls your cdrom drive
Name:		cdctl
Version:	0.15
Release:	lp150.1.11
Url:		http://cdctl.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-Makefile.in.patch
Patch1:		%{name}-%{version}-cdc_ioctls.patch
License:	Other
Group:		System/Base
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description 
Cdctl controls your cdrom drive under Linux.  It is an user-level console
application which gives the user access to the ioctl() interfaces of
the Uniform CDROM Driver of the Linux kernel.  It can play audio CDs,
control the drive's tray motor, change the drive's volume levels, read
the current type of disc in the drive, and much more.



%prep

%setup
%patch0 -p0
%patch1 -p1

%build
%configure
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%find_lang %{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f %{name}.lang 
%defattr(-,root,root)
%doc README LICENSE NEWS NUTSANDBOLTS PUBLICKEY
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Sat Jun 13 2009 <AxelKoellhofer@web.de> 
- spec cleanup
- fixed use of RPM_OPT_FLAGS 
* Wed Oct 01 2008 <AxelKoellhofer@web.de>
- Added patches 0 and 1, rebuild for openSUSE 10.x/11.x
* Sun Mar 26 2000 Jason Spence <thalakan@technologist.com>
- First spec file for cdctl, version 0.15
